# Uses of Class
javax.mail.Message.RecipientType

Packages that use Message.RecipientType
Package
Description
com.sun.mail.imap
An IMAP protocol provider for the Jakarta Mail API that provides access to an IMAP message store.
com.sun.mail.imap.protocol
This package includes internal IMAP support classes and SHOULD NOT BE USED DIRECTLY BY APPLICATIONS.
javax.mail
The Jakarta Mail API provides classes that model a mail system.
javax.mail.internet
Classes specific to Internet mail systems.
javax.mail.search
Message search terms for the Jakarta Mail API.

## Uses of Message.RecipientType in com.sun.mail.imap

Methods in com.sun.mail.imap with parameters of type Message.RecipientType
Modifier and Type
Method
Description
`void`
IMAPMessage.`addRecipients(Message.RecipientType type, Address[] addresses)`
`Address[]`
IMAPMessage.`getRecipients(Message.RecipientType type)`
Get the desired Recipient type.
`void`
IMAPMessage.`setRecipients(Message.RecipientType type, Address[] addresses)`

## Uses of Message.RecipientType in com.sun.mail.imap.protocol

Methods in com.sun.mail.imap.protocol with parameters of type Message.RecipientType
Modifier and Type
Method
Description
`protected Argument`
SearchSequence.`recipient(Message.RecipientType type, String address, String charset)`

## Uses of Message.RecipientType in javax.mail

Fields in javax.mail declared as Message.RecipientType
Modifier and Type
Field
Description
`static final Message.RecipientType`
Message.RecipientType.`BCC`
The "Bcc" (blind carbon copy) recipients.
`static final Message.RecipientType`
Message.RecipientType.`CC`
The "Cc" (carbon copy) recipients.
`static final Message.RecipientType`
Message.RecipientType.`TO`
The "To" (primary) recipients.
Methods in javax.mail with parameters of type Message.RecipientType
Modifier and Type
Method
Description
`void`
Message.`addRecipient(Message.RecipientType type, Address address)`
Add this recipient address to the existing ones of the given type.
`abstract void`
Message.`addRecipients(Message.RecipientType type, Address[] addresses)`
Add these recipient addresses to the existing ones of the given type.
`abstract Address[]`
Message.`getRecipients(Message.RecipientType type)`
Get all the recipient addresses of the given type.
`void`
Message.`setRecipient(Message.RecipientType type, Address address)`
Set the recipient address.
`abstract void`
Message.`setRecipients(Message.RecipientType type, Address[] addresses)`
Set the recipient addresses.

## Uses of Message.RecipientType in javax.mail.internet

Subclasses of Message.RecipientType in javax.mail.internet
Modifier and Type
Class
Description
`static class`
`MimeMessage.RecipientType`
This inner class extends the javax.mail.Message.RecipientType class to add additional RecipientTypes.
Methods in javax.mail.internet with parameters of type Message.RecipientType
Modifier and Type
Method
Description
`void`
MimeMessage.`addRecipients(Message.RecipientType type, String addresses)`
Add the given addresses to the specified recipient type.
`void`
MimeMessage.`addRecipients(Message.RecipientType type, Address[] addresses)`
Add the given addresses to the specified recipient type.
`Address[]`
MimeMessage.`getRecipients(Message.RecipientType type)`
Returns the recepients specified by the type.
`void`
MimeMessage.`setRecipients(Message.RecipientType type, String addresses)`
Set the specified recipient type to the given addresses.
`void`
MimeMessage.`setRecipients(Message.RecipientType type, Address[] addresses)`
Set the specified recipient type to the given addresses.

## Uses of Message.RecipientType in javax.mail.search

Methods in javax.mail.search that return Message.RecipientType
Modifier and Type
Method
Description
`Message.RecipientType`
RecipientStringTerm.`getRecipientType()`
Return the type of recipient to match with.
`Message.RecipientType`
RecipientTerm.`getRecipientType()`
Return the type of recipient to match with.
Constructors in javax.mail.search with parameters of type Message.RecipientType
Modifier
Constructor
Description
``
`RecipientStringTerm(Message.RecipientType type, String pattern)`
Constructor.
``
`RecipientTerm(Message.RecipientType type, Address address)`
Constructor.